Index: usr.sbin/ndiscvt/inf.c
===================================================================
RCS file: /usr/CVS-Repository/src/usr.sbin/ndiscvt/inf.c,v
retrieving revision 1.13
diff -u -r1.13 inf.c
--- usr.sbin/ndiscvt/inf.c	7 Mar 2004 02:49:06 -0000	1.13
+++ usr.sbin/ndiscvt/inf.c	11 Jun 2004 08:54:16 -0000
@@ -57,8 +57,8 @@
 		*find_assign	(const char *, const char *);
 static struct section
 		*find_section	(const char *);
-static void	dump_deviceids_pci	(void);
-static void	dump_deviceids_pcmcia	(void);
+static int	dump_deviceids_pci	(void);
+static int	dump_deviceids_pcmcia	(void);
 static void	dump_pci_id	(const char *);
 static void	dump_pcmcia_id	(const char *);
 static void	dump_regvals	(void);
@@ -78,8 +78,9 @@
 	yyin = fp;
 	yyparse();
 
-	dump_deviceids_pci();
-	dump_deviceids_pcmcia();
+	if (dump_deviceids_pci() == 0 && dump_deviceids_pcmcia() == 0)
+		return (-1);
+	
 	fprintf(outfp, "#ifdef NDIS_REGVALS\n");
 	dump_regvals();
 	fprintf(outfp, "#endif /* NDIS_REGVALS */\n");
@@ -230,7 +231,7 @@
 	return;
 }
 
-static void
+static int
 dump_deviceids_pci()
 {
 	struct assign *manf, *dev;
@@ -267,7 +268,7 @@
 	}
 
 	if (found == 0)
-		return;
+		return(0);
 
 	found = 0;
 
@@ -306,10 +307,10 @@
 	/* Emit end of table */
 
 	fprintf(ofp, "\n\n");
-
+	return(found);
 }
 
-static void
+static int
 dump_deviceids_pcmcia()
 {
 	struct assign *manf, *dev;
@@ -346,7 +347,7 @@
 	}
 
 	if (found == 0)
-		return;
+		return (0);
 
 	found = 0;
 
@@ -385,7 +386,7 @@
 	/* Emit end of table */
 
 	fprintf(ofp, "\n\n");
-
+	return (found);
 }
 
 static void
Index: usr.sbin/ndiscvt/ndiscvt.c
===================================================================
RCS file: /usr/CVS-Repository/src/usr.sbin/ndiscvt/ndiscvt.c,v
retrieving revision 1.7
diff -u -r1.7 ndiscvt.c
--- usr.sbin/ndiscvt/ndiscvt.c	7 Mar 2004 02:49:06 -0000	1.7
+++ usr.sbin/ndiscvt/ndiscvt.c	11 Jun 2004 08:54:56 -0000
@@ -248,7 +248,8 @@
 			err(1, "opening .INF file '%s' failed", inffile);
 
 
-		inf_parse(fp, outfp);
+		if (inf_parse(fp, outfp) != 0)
+			errx(1, "creating .INF file - no entries created, are you using the correct files?");
 		fclose(fp);
 	}
 
